#ifndef __GAME_H__
#define __GAME_H__

#include "forms.h"
#include "gui.h"

#define DEPTHSCANSTACKSIZE  4096

typedef struct {
  enum dsStatus {dsBusy=1,dsFail,dsSuccess,dsSuccessSelected} status;
  unsigned char occ[144];
  unsigned char stack[DEPTHSCANSTACKSIZE];
  int           sp,pp;
  int           remain;
} DepthScanRec;

#include "board.h"

extern int default_isfastgame;

enum dsStatus depth_scan(BoardRec *board_rec);
BoardRec *initialize_board_rec(FD_board *board,BoardRec *board_rec,int seed);
void handle_mouse_push(int mx,int my,int key,BoardRec *board_rec);
void handle_status_push(int key,BoardRec *board_rec);
void game_undo_move(BoardRec *board_rec);

#endif
